
Figure - Bug #117984
IOVDEV-28194 【内部】【VC1】【0095】【台架】【EE环境】【副屏】副屏同步中控以太网的5G网络，显示
的图标不正确
2023-05-16 21:25 - CDTS-TEST 周婷

Status: CLOSED Start date: 2023-05-16

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0095.c103 

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-22

Test Type: Free Test Root cause: 原本默认没有信号时是不显示图标的，现在增加无信号时的图标

Description

【环境信息】EE环境

【问题出现时间】：20230516  8:50

【前提条件】：车机上电（KL30ON ，KL15 ON），连接以太网（中控显示5G信号）

1. 检查副屏状态栏

【实际结果】

副屏显示同步中控的以太网图标类同WiFi图标，且没有显示5G标志。

【期望结果】

副屏同步中控的以太网5G信号，正确显示5G图标

【车架号】：

【备注】：

log地址：https://ofs.human-horizons.com/#/download/index/9234KfxIHQU%3D

视频地址：https://ofs.human-horizons.com/#/download/index/Lzpvoty29X8%3D

【影响版本】：副屏：01.00.0095.c103 

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-05-17 16:02 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117984/tlog_iov0201017500006162025411a2212290000000911_000139_0516090347.tar.zip   日志FTP地址

#2 - 2023-05-17 21:42 - CDTS-TEST 周婷

- Category changed from ETH to CD-FW

- Assignee changed from CD_BSP 彭文亮 to CD FW 曹覃刚

#3 - 2023-05-18 10:20 - CD FW 曹覃刚

- Status changed from New to ASSIGNED
- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

#4 - 2023-05-20 17:38 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

201461 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:VehicleDataControl: Fixed tbox have no none-server iconTC-RID: 1201-0206101IssueID: TS-R-BUG-117984Change-Id:

I1ae10e5f346b9b73d58205224656f0a5d5ce45a1

#5 - 2023-05-20 17:39 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to CDTS-TEST 周婷

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-22

- Root cause set to 原本默认没有信号时是不显示图标的，现在增加无信号时的图标

#6 - 2023-06-02 18:46 - CD TEST-方永红

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from CDTS-TEST 周婷 to CD FW 曹覃刚

未显示“无服务”图标

#7 - 2023-06-02 18:56 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

#8 - 2023-06-02 19:01 - CD TEST-方永红

- Status changed from VERIFY_FAILED to VERIFIED

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

#9 - 2023-06-02 19:01 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#10 - 2023-06-03 16:34 - CD TEST-方永红

- File icon.txt added

- File 中控5G，副屏显示无服务.mp4 added

- Status changed from CLOSED to New

6.3

客户实车验证失败

#11 - 2023-06-03 17:10 - CD FW-田成财
■ Current conclusion

已分析出原因

■ My analysis

中控同步的tbox信号的IDCM_celltype为-1，根据协议定义，5g应该为6，并且无-1的定义，所以把该信号识别为无服务。

06-03 16:26:24.369  2148 17255 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_TBoxService',

destService='FSEM_SettingService', messageType='0', uuid='1685780784862430000',

payloadData={"dstService":"FSEM_SettingService","messageType":0,"methodName":"netstatus","parameters":{"functionInfo":{"IDCM_celltype":-1,"IDCM_netstatus":-1,"I

DCM_signalstrength":-1}},"srcService":"IDCM_TBoxService","uuid":1685780784862430000}

■ Next action

请中控的tbox研发进行确认

#12 - 2023-06-04 00:24 - CD TPM-王祥林

- Status changed from New to NEED_INFO

#13 - 2023-06-05 13:44 - CD TEST-方永红

6.5

已流转至中控研发处，等待确认后关闭

#14 - 2023-07-03 16:21 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

7.3

验证通过

#15 - 2023-07-03 16:21 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#16 - 2023-07-03 16:21 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

同步无网络的以太网信号，显示图标不正确 (1).mp4 10 MB 2023-05-16 CDTS-TEST 周婷

icon.txt 7.04 MB 2023-06-03 CD TEST-方永红

中控5G，副屏显示无服务.mp4 2.41 MB 2023-06-03 CD TEST-方永红
